/**************************/
/* forms */
/**************************/

.form-pattern
  :is(
    input[type="text"],
    input[type="email"],
    input[type="number"],
    input[type="tel"],
    input[type="password"],
    input[type="search"],
    input[type="url"],
    textarea,
    select,
    .select2
  ) {
  font-family: inherit;
  padding: 1rem 2rem;
  height: 4.4rem;
  background-color: var(--c-white);
  border: 1px solid var(--c-neutral-250);
  transition: var(--t-ease);
  width: 100%;
  margin-bottom: 2.3rem;
  text-overflow: ellipsis;
  position: relative;
  display: block;
  border-radius: 5rem;
  font-size: var(--fs-13);
}
.form-pattern
  :is(
    input[type="email"],
    input[type="number"],
    input[type="tel"],
    input[type="password"],
    input[type="url"]
  ) {
  direction: ltr;
}
.form-pattern
  form.submitted
  :is(
    input[type="text"],
    input[type="email"],
    input[type="number"],
    input[type="tel"],
    input[type="password"],
    input[type="search"],
    input[type="url"],
    textarea,
    select,
    .select2
  ):invalid:required {
  border-color: var(--c-danger);
}
.form-pattern textarea {
  height: 13rem !important;
  padding-top: 1.5rem !important;
  border-radius: 1.4rem !important;
}
.form-pattern .af-submit,
.af-field-type-repeater,
.af-field-type-textarea {
  grid-column: 1/-1;
}
.form-pattern .acf-field-recaptcha {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.g-recaptcha {
  margin-bottom: 0.7rem;
}

.form-pattern
  :is(
    input[type="text"],
    input[type="email"],
    input[type="number"],
    input[type="tel"],
    input[type="password"],
    input[type="search"],
    input[type="url"],
    textarea,
    select,
    .select2
  ):focus-visible {
  border-color: var(--c-secondary);
}

/* #form-pattern :is(textarea, input)::placeholder,
#form-pattern :is(textarea, input)::placeholder {
  opacity: 0.5;
  font-size: var(--fs-14);
} */

.form-pattern label.error {
  line-height: 1;
  font-size: var(--fs-12);
  color: var(--c-danger);
  margin-bottom: 1rem;
  display: block;
  background: var(--bg-danger);
  padding: 10px;
}

.form-pattern input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  height: 23px;
  width: 23px;
  outline: none;
  cursor: pointer;
  background-color: #ccc;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 15px;
}

.form-pattern input[type="checkbox"]::before {
  content: "";
  width: 14px;
  height: 14px;
  transform: scale(0);
  background-color: var(--c-primary);
  transition: 120ms transform ease-in-out;
  transform-origin: bottom left;
  -webkit-clip-path: polygon(
    14% 44%,
    0 65%,
    50% 100%,
    100% 16%,
    80% 0%,
    43% 62%
  );
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}
.form-pattern input[type="checkbox"]:checked::before {
  transform: scale(1);
}
.form-pattern input[type="radio"]:checked {
  border: 2px solid var(--c-primary) !important;
  box-sizing: border-box !important;
  background: var(--c-primary) !important;
  box-shadow: inset 0 0px 0px 4px #fff !important;
}
.form-pattern input[type="radio"] {
  height: 23px;
  width: 23px;
  border-radius: 50%;
  -moz-appearance: none;
  appearance: none;
  -webkit-appearance: none;
  outline: none;
  cursor: pointer;
  border: 2px solid #ccc;
  margin-left: 7px;
  vertical-align: middle;
}

.form-pattern select {
  font-size: 14px;
  padding-top: 1.6rem;
  line-height: inherit;
  text-align: right;
}

.form-pattern input:-webkit-autofill,
.form-pattern input:-webkit-autofill:active,
.form-pattern input:-webkit-autofill:hover,
.form-pattern input:-webkit-autofill:focus {
  -webkit-animation-name: autofill;
  -webkit-animation-delay: 1s;
  -webkit-animation-fill-mode: both;
  -webkit-box-shadow: 0 0 0 30px var(--c-white) inset !important;
  -webkit-box-shadow: none;
  -webkit-transition: background-image 5000s ease-in-out 0s;
  transition: background-image 5000s ease-in-out 0s;
}
